#ifndef	__OBJECT3D_H__
#define	__OBJECT3D_H__

class CXFrame;

class CObject3D  
{
public:
	CObject3D();
	virtual ~CObject3D();
	void	Update(float timeElapsed);
	void	Render(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	InitDeviceObjects(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	RestoreDeviceObjects(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	InvalidateDeviceObjects();
	HRESULT	DeleteDeviceObjects();
	void	SetupLights();
	void	SetMeshFilename(TCHAR *path, TCHAR *fname);
	void	SetScale(float s);
private:
	BOOL					m_bUseHWNPatches; 
	UINT					m_dwNumSegs;		/*	number of segments per edge (tesselation level)	*/
	D3DXMATRIX				m_matScale;
	D3DXMATRIX				m_matWorld;			//	[hWւ̕ϊ}gbNXB
	CXFrame					*m_pCXFrame;
	DWORD					m_dwNumMesh;		//	bV̑
	DWORD					m_dwNumFrame;		//	t[̑
	float					m_fScale;			//
	float					m_fAngleY;
};


#endif
