// MeshTest.h: MeshTest NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MESHTEST_H__9016BB86_F4B8_42B9_83B9_CD9802F0766B__INCLUDED_)
#define AFX_MESHTEST_H__9016BB86_F4B8_42B9_83B9_CD9802F0766B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMeshTest  
{
public:
	CMeshTest();
	virtual ~CMeshTest();
	void	Update(float timeElapsed);
	void	Render(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	InitDeviceObjects(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	RestoreDeviceObjects(LPDIRECT3DDEVICE8 lpd3ddev);
	HRESULT	InvalidateDeviceObjects();
	HRESULT	DeleteDeviceObjects();
	HRESULT	GenerateEnhancedMesh( LPDIRECT3DDEVICE8 lpd3ddev, UINT dwNewNumSegs );
private:
	TCHAR					m_strMeshPath[512];
	LPD3DXMESH				m_pMeshSysMem;      // VXeo[W̃bV
	LPD3DXMESH				m_pMeshEnhanced;    // rfIo[W̃bV
	D3DMATERIAL8*			m_pMaterials;       // }eAւ̃|C^AbVRs[B
	LPDIRECT3DTEXTURE8*		m_ppTextures;       // eNX`[zւ̃|C^
	DWORD					m_dwNumMaterials;   // number of materials
	D3DXVECTOR3				m_vObjectCenter;    // Center of bounding sphere of object
	FLOAT					m_fObjectRadius;    // Radius of bounding sphere of object
	BOOL					m_bUseHWNPatches; 
	UINT					m_dwNumSegs;		/*	number of segments per edge (tesselation level)	*/
	D3DXMATRIX				m_matWorld;
	LPSTR					*m_ppFilenames;		//
	LPSTR					m_pFilenameBuffer;	//
	float					m_fAngleY;
};

#endif // !defined(AFX_MESHTEST_H__9016BB86_F4B8_42B9_83B9_CD9802F0766B__INCLUDED_)
